import logging
import os

_PROJECT_PATH = os.path.join(os.path.dirname(__file__), '..')

# Static folder
static_root = os.path.join(_PROJECT_PATH, 'cam/static')

## Virtual hosts configuration
hosts = {
    'archimed.montpellier.entrouvert.org': [
        {'path': r'/',
         'target': 'http://ermes2.montpellier-agglo.com',
         'mapping': 'cam.configs.archimed_saml.archimed_mapping'
         },
        { 'path': r'/static',
         'static': static_root
         }
    ],
}

## Database configuration
db_url = 'sqlite:///var/lib/mandaye-cam/cam.db'

## Logging configuration
debug = False
log_file = '/var/log/mandaye-cam/mandaye.log'
log_level = logging.INFO

## PATH
# Data directory
data_dir = '/var/lib/mandaye-cam/data'

## Email notification configuration
email_notification = True
smtp_host = 'localhost'
smtp_port = 25
email_from = 'traceback+mandaye-cam@entrouvert.com'
email_to = ['admin+mandaye-cam@entrouvert.com']


## Session configuration
# http://beaker.readthedocs.org/en/latest/configuration.html#options-for-sessions-and-caching
session_opts = {
        'session.type': 'file',
        'session.cookie_expires': True,
        'session.timeout': 3600,
        'session.data_dir': '/var/lib/mandaye-cam/sessions'
}

## Encrypt service provider passwords with a secret
# You should install pycypto to use this feature
encrypt_sp_password = True
# Must be a 16, 24, or 32 bytes long
encrypt_secret = 'CHANGEME'

